'use client';

import { JSX } from 'solid-js/jsx-runtime';

interface ButtonProps {
  children: JSX.Element;
  className?: string;
  appName: string;
}

export const Button = ({ children, className, appName }: ButtonProps) => {
  return (
    <button
      class={className}
      onClick={() => alert(`Hello from your ${appName} app!`)}
    >
      {children}
    </button>
  );
};
